Search found 3 matches

by jhcarter
Mon Oct 07, 2019 1:00 pm
Forum: IDEs for ESP-IDF
Topic: Eclipse plugin for ESP-IDF CMake based projects (4.x and above)
Replies: 21
Views: 4754

Re: Eclipse plugin for ESP-IDF CMake based projects (4.x and above)

OK, the problem I was having with installing the plugin was due to my having an old version of the JDK (8_075) installed (I forgot that Eclipse uses the JDK, not the JRE which was up-to-date). The certificates for Let's Encrypt were not included until 8_101 or thereabouts. I updated my JDK and the i...
by jhcarter
Mon Oct 07, 2019 10:31 am
Forum: IDEs for ESP-IDF
Topic: Eclipse plugin for ESP-IDF CMake based projects (4.x and above)
Replies: 21
Views: 4754

Re: Eclipse plugin for ESP-IDF CMake based projects (4.x and above)

When I try to add the update site in the Eclipse Add Software dialog I get the error: Unable to read repository at https://dl.espressif.com/dl/idf-eclipse-plugin/updates/latest/content.xml. Unable to read repository at https://dl.espressif.com/dl/idf-eclipse-plugin/updates/latest/content.xml. sun.se...
by jhcarter
Sun Oct 06, 2019 8:17 pm
Forum: IDEs for ESP-IDF
Topic: Eclipse plugin for ESP-IDF CMake based projects (4.x and above)
Replies: 21
Views: 4754

Re: Eclipse plugin for ESP-IDF CMake based projects (4.x and above)

I have been unable to install the Eclipse plugin at all. The update URL listed in README.md yields a 403 error and the link to the Releases directory shows no releases available for download. The first time I tried was 3-October I think. Am I missing something?

Go to advanced search